🚀 Visual Navigation for Link Fields! See our changelog for details.
curl --request GET \
--url 'https://app.teable.ai/api/admin/observability/workflow?workflowIds=SOME_ARRAY_VALUE&timeRange=SOME_OBJECT_VALUE&relativeTime=SOME_STRING_VALUE&isActive=SOME_BOOLEAN_VALUE&baseIds=SOME_ARRAY_VALUE&spaceIds=SOME_ARRAY_VALUE&triggerType=SOME_ARRAY_VALUE&skip=SOME_NUMBER_VALUE&take=SOME_NUMBER_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"data": [
{
"id": "<string>",
"name": "<string>",
"base": {
"id": "<string>",
"name": "<string>",
"icon": "<string>"
},
"triggerType": "recordCreated",
"createdTime": "<string>",
"runStats": {
"statusStats": {
"pending": 123,
"running": 123,
"success": 123,
"failed": 123,
"canceled": 123
},
"avgSpent": 123,
"totalCount": 123
},
"level": "healthy",
"lastRunTime": "<string>",
"isActive": true
}
],
"total": 123
}get observability workflow list
curl --request GET \
--url 'https://app.teable.ai/api/admin/observability/workflow?workflowIds=SOME_ARRAY_VALUE&timeRange=SOME_OBJECT_VALUE&relativeTime=SOME_STRING_VALUE&isActive=SOME_BOOLEAN_VALUE&baseIds=SOME_ARRAY_VALUE&spaceIds=SOME_ARRAY_VALUE&triggerType=SOME_ARRAY_VALUE&skip=SOME_NUMBER_VALUE&take=SOME_NUMBER_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"data": [
{
"id": "<string>",
"name": "<string>",
"base": {
"id": "<string>",
"name": "<string>",
"icon": "<string>"
},
"triggerType": "recordCreated",
"createdTime": "<string>",
"runStats": {
"statusStats": {
"pending": 123,
"running": 123,
"success": 123,
"failed": 123,
"canceled": 123
},
"avgSpent": 123,
"totalCount": 123
},
"level": "healthy",
"lastRunTime": "<string>",
"isActive": true
}
],
"total": 123
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
30m, 1h, 6h, 1d, 3d, 7d, 30d recordCreated, recordUpdated, recordCreatedOrUpdated, recordMatchesConditions, buttonClick, formSubmitted, scheduledTime, webhook Was this page helpful?